- Qt 5.5
- Qt3D Module
- C++ Classes
- QAbstractCollisionQueryService
- Qt 5.5.1 Reference Documentation

# QAbstractCollisionQueryService Class

(Qt3D::QAbstractCollisionQueryService)

Inherits: | QAbstractServiceProvider
Inherited By: |

- List of all members, including inherited members

## Public Types

enum | QueryMode { FirstHit, AllHits }

## Public Functions

virtual QVector<QCollisionQueryResult> | fetchAllResults() const = 0
virtual QCollisionQueryResult | fetchResult(const QQueryHandle & handle) = 0
virtual QQueryHandle | query(const QRay3D & ray, QueryMode mode) = 0

- 2 public functions inherited from Qt3D::QAbstractServiceProvider

## Protected Functions

| QAbstractCollisionQueryService(const QString & description = QString())
| QAbstractCollisionQueryService(QAbstractCollisionQueryServicePrivate & dd)
void | addEntityHit(QCollisionQueryResult & result, const QNodeId & entity)
void | setResultHandle(QCollisionQueryResult & result, const QQueryHandle & handle)

## Member Type Documentation

### enum QAbstractCollisionQueryService::QueryMode

## Member Function Documentation

### `[protected]` QAbstractCollisionQueryService::QAbstractCollisionQueryService(const QString & description = QString())

### `[protected]` QAbstractCollisionQueryService::QAbstractCollisionQueryService(QAbstractCollisionQueryServicePrivate & dd)

### `[protected]` void QAbstractCollisionQueryService::addEntityHit(QCollisionQueryResult & result, const QNodeId & entity)

### `[pure virtual]` QVector<QCollisionQueryResult> QAbstractCollisionQueryService::fetchAllResults() const

### `[pure virtual]` QCollisionQueryResult QAbstractCollisionQueryService::fetchResult(const QQueryHandle & handle)

### `[pure virtual]` QQueryHandle QAbstractCollisionQueryService::query(const QRay3D & ray, QueryMode mode)

### `[protected]` void QAbstractCollisionQueryService::setResultHandle(QCollisionQueryResult & result, const QQueryHandle & handle)